# This is a -*- Tcl -*- library script and belongs to the
# `Jumble Library for Tcl and Friends'.
#
# core.tcl --- Jultaf's basic functions
#
# Copyright (C) 1998 Stefan Hornburg
#
# Author: Stefan Hornburg <racke@gundel.han.de>
# Maintainer: Stefan Hornburg <racke@gundel.han.de>
# Version: 0.0.4
#
# This file is free software; you can redistribute it and/or modify it
# under the terms of the GNU General Public License as published by the
# Free Software Foundation; either version 2, or (at your option) any
# later version.
# 
# This file is distributed in the hope that it will be
# useful, but WITHOUT ANY WARRANTY; without even the implied warranty
# of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
# General Public License for more details.
# 
# You should have received a copy of the GNU General Public License
# along with this file; see the file COPYING.  If not, write to the Free
# Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.

namespace eval Juf {}
package require Error

# -------------------------------------------------
# FUNCTION: deprecate OLD NEW
#
# Deprecates function OLD in favor of function NEW.
# Maps OLD to NEW and prints error message at
# the first call of OLD.
# -------------------------------------------------

proc Juf::deprecate {old new} {
	global auto_index
	
	set auto_index($old) "
	package require Error
	Juf::Error::error $old {deprecated function}
	proc $old {args} {uplevel $new \$args}"

	return ""
}

package provide Jufbase 0.0.4
